APT-CDROM(8)

NOME
apt-cdrom - Strumento di APT per la gestione dei CDROM

SINTASSI

apt-cdrom [ -hvrmfan ] [ -d=cdrom mount point ] [ -o=config string ] [ -c=file ] [ add ] [ ident ]

DESCRIZIONE

apt-cdrom e` usato per aggiungere un nuovo CDROM alla lista di sorgenti disponibili di APT. apt-cdrom si prende cura di determinare la struttura del disco e anche di correggere possibili errori di masterizzazione e verificare i file indice.

Per aggiungere CD al sistema APT e` necessario usare apt-cdrom, non puo` essere fatto manualmente. Inoltre ogni disco in un set multi-CD deve essere inserito e scansionato separatamente per tenere conto di possibili errori di masterizzazione.

A meno che non venga fornita l'opzione -h, o --help deve essere presente uno dei comandi seguenti.

add add e` usato per aggiungere un nuovo CDROM alla lista delle sorgenti. Smontera` il device del CDROM, chiedera` di inserire un disco e poi procedera` alla scansione del cdrom e copiera` i file indice. Se il disco non ha una propria directory .disk/ verra` chiesto un titolo descrittivo. APT usa un identificatore del CDROM (ID) per tenere traccia di quale disco e` attualmente nel drive e mantiene un database di questi ID nel file: /var/lib/apt/cdroms.list.

ident
    Uno strumento di debugging per elencare l'identita` del disco corrente cosi` come il nome del file memorizzato.

OPZIONI

Tutte le opzioni della riga di comando possono essere impostate usando il file di configurazione, le descrizioni indicano le opzioni di configurazione da impostare. Per le opzioni booleane si puo` sovrascrivere il file di configurazione usando qualcosa come -f-,--no-f, -f=no o diverse altre variazioni.

-d

--cdrom
    Punto di mount; specifica la posizione in cui montare il CDROM. Questo punto di mount deve essere elencato nel file /etc/fstab e configurato correttamente. Elemento di configurazione: Acquire::cdrom::mount.

-r

--rename
    Rinomina un disco; cambia l'etichetta di un disco o sovrascrive l'etichetta originale del disco. Questa opzione fara si` che apt-cdrom richieda una nuova etichetta. Elemento di configurazione: APT::CDROM::Rename.

-m

--no-mount
    Non montare; impedisce a apt-cdrom di montare e smontare il punto di mount. Elemento di configurazione: APT::CDROM::NoMount.

-f

--fast
    Copia rapida; assume che i file dei pacchetti siano validi e non verifica ogni pacchetto. Questa opzione dovrebbe essere usata solo se apt-cdrom e` già stato eseguito su questo disco e non ha rilevato alcun errore. Elemento di configurazione: APT::CDROM::Fast.

-a

--thorough
    Scansione approfondita dei file Package; questa opzione puo` essere necessaria con alcuni dischi delle vecchie release di Debian 1.1/1.2 i cui file Package si trovano in posti inconsueti. La scansione dei CD richiedera` molto piu` tempo, ma trovera` tutti i file Package.

-n

--just-print

--recon

--no-act
    Nessun cambiamento; non cambia il file sources.list(5) e non scrive i file indice. Tuttavia ogni cosa e` comunque verificata. Elemento di configurazione: APT::CDROM::NoAct.

-h

--help
    Mostra un breve riassunto sull'uso.

-v

--version
    Mostra la versione del programma.

-c

--config-file
    File di configurazione; specifica un file di configurazione da usare. Il programma leggera` il file di configurazione predefinito e poi questo file di configurazione. Vedere apt.conf(5) per informazioni sulla sintassi.

-o

--option
    Imposta un'opzione di configurazione; impostera` una opzione di configurazione arbitraria. La sintassi e` -o Foo::Bar=bar.

VEDERE ANCHE

apt.conf(5), apt-get(8), sources.list(5)

DIAGNOSTICA

apt-cdrom riporta zero in caso di funzionamento normale, riporta il valore decimale 100 in caso di errore.

BUG

Vedere la pagina dei bug di APT <URL:http://bugs.debian.org/apt>. Se si desidera segnalare un bug in APT, si e` pregati di vedere il file /usr/share/doc/debian/bug-reporting.txt o il comando bug(1).

AUTORE

APT e` stato scritto dal team di APT <apt@packages.debian.org>. Traduzione ed adattamenti in italiano a cura di Hugh Hartmann <hhartmann@libero.it>. Revisione a cura di Beatrice Torracca <beatricet@libero.it>.